package com.oo.seex.oo_statistics_lib.bean;


import com.oo.seex.oo_statistics_lib.utils.xutils_dbutils.db.annotation.Id;

/**
 * Created by efort on 15/7/31.
 */
public class FragmentBean {
    @Id
    private int id;
    private String device_id;
    private String userId;
//    private String clientdata_id;
    private String fragment_start_millis;
    private long fragment_start;
    private String fragment_end_millis;
    private long fragment_end;
    private String activity;
    private String version;
    private String fragments;
    private String appkey;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getFragment_start_millis() {
        return fragment_start_millis;
    }

    public void setFragment_start_millis(String fragment_start_millis) {
        this.fragment_start_millis = fragment_start_millis;
    }

    public String getFragment_end_millis() {
        return fragment_end_millis;
    }

    public void setFragment_end_millis(String fragment_end_millis) {
        this.fragment_end_millis = fragment_end_millis;
    }

    public String getFragment_duration() {
        return getFragment_end() - getFragment_start() + "";
    }

    public void setFragment_duration(String fragment_duration) {
        String fragment_duration1 = fragment_duration;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFragments() {
        return fragments;
    }

    public void setFragments(String fragments) {
        this.fragments = fragments;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public long getFragment_start() {
        return fragment_start;
    }

    public void setFragment_start(long fragment_start) {
        this.fragment_start = fragment_start;
    }

    public long getFragment_end() {
        return fragment_end;
    }

    public void setFragment_end(long fragment_end) {
        this.fragment_end = fragment_end;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

//    public String getClientdata_id() {
//        return clientdata_id;
//    }
//
//    public void setClientdata_id(String clientdata_id) {
//        this.clientdata_id = clientdata_id;
//    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }
}
